---
lang: en
title: 'API docs: core.extensionfilter'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.extensionfilter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [extensionFilter](./core.extensionfilter.md)

## extensionFilter() function

A factory function to create binding filter for extensions of a named extension point

<b>Signature:</b>

```typescript
export declare function extensionFilter(...extensionPointNames: string[]): BindingFilter;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  extensionPointNames | string\[\] | A list of names of extension points |

<b>Returns:</b>

[BindingFilter](./context.bindingfilter.md)


